Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 7811)
@@ -21,7 +21,7 @@
 from zope import schema
 from zope.interface import Attribute
-from waeup.sirp.interfaces import (ISIRPObject, ISIRPContainer)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.university.vocabularies import (
+from waeup.kofa.interfaces import (IKOFAObject, IKOFAContainer)
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.university.vocabularies import (
     course_levels,
     CourseSource,
@@ -32,5 +32,5 @@
     )
 
-class IFaculty(ISIRPContainer):
+class IFaculty(IKOFAContainer):
     """Representation of a university faculty.
     """
@@ -73,5 +73,5 @@
 IFacultyAdd['code'].order =  IFaculty['code'].order
 
-class IFacultiesContainer(ISIRPContainer):
+class IFacultiesContainer(IKOFAContainer):
     """A container for faculties.
     """
@@ -80,5 +80,5 @@
 
         """
-class IDepartment(ISIRPObject):
+class IDepartment(IKOFAObject):
     """Representation of a department.
     """
@@ -124,5 +124,5 @@
 IDepartmentAdd['code'].order =  IDepartment['code'].order
 
-class ICoursesContainer(ISIRPContainer):
+class ICoursesContainer(IKOFAContainer):
     """A container for faculties.
     """
@@ -133,5 +133,5 @@
         """
 
-class ICourse(ISIRPObject):
+class ICourse(IKOFAObject):
     """Representation of a course.
     """
@@ -186,5 +186,5 @@
 ICourseAdd['code'].order =  ICourse['code'].order
 
-class ICertificate(ISIRPObject):
+class ICertificate(IKOFAObject):
     """Representation of a certificate.
     """
@@ -248,5 +248,5 @@
 ICertificateAdd['code'].order =  ICertificate['code'].order
 
-class ICertificatesContainer(ISIRPContainer):
+class ICertificatesContainer(IKOFAContainer):
     """A container for certificates.
     """
@@ -257,5 +257,5 @@
         """
 
-class ICertificateCourse(ISIRPObject):
+class ICertificateCourse(IKOFAObject):
     """A certificatecourse is referring a course and provides some own
        attributes.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_batching.py	(revision 7811)
@@ -21,12 +21,12 @@
 
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.interfaces import IBatchProcessor
-from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
-from waeup.sirp.university.batching import (
+from waeup.kofa.interfaces import IBatchProcessor
+from waeup.kofa.testing import FunctionalTestCase, FunctionalLayer
+from waeup.kofa.university.batching import (
     FacultyProcessor, DepartmentProcessor, CourseProcessor,
     CertificateProcessor, CertificateCourseProcessor)
-from waeup.sirp.university.certificate import Certificate, CertificateCourse
-from waeup.sirp.university.course import Course
-from waeup.sirp.university.department import Department
+from waeup.kofa.university.certificate import Certificate, CertificateCourse
+from waeup.kofa.university.course import Course
+from waeup.kofa.university.department import Department
 
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_certificatescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_certificatescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_certificatescontainer.py	(revision 7811)
@@ -25,11 +25,11 @@
 from zope.interface.verify import verifyClass, verifyObject
 
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import DuplicationError
-from waeup.sirp.testing import (
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import DuplicationError
+from waeup.kofa.testing import (
     FunctionalLayer, doctestsuite_for_module, FunctionalTestCase)
-from waeup.sirp.university.certificate import Certificate
-from waeup.sirp.university.certificatescontainer import CertificatesContainer
-from waeup.sirp.university.interfaces import ICertificatesContainer
+from waeup.kofa.university.certificate import Certificate
+from waeup.kofa.university.certificatescontainer import CertificatesContainer
+from waeup.kofa.university.interfaces import ICertificatesContainer
 
 
@@ -132,5 +132,5 @@
         unittest.makeSuite(CertificatesContainerTests),
         doctestsuite_for_module(
-                'waeup.sirp.university.certificatescontainer'),
+                'waeup.kofa.university.certificatescontainer'),
         ))
     return suite
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_coursescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_coursescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_coursescontainer.py	(revision 7811)
@@ -21,6 +21,6 @@
 import unittest
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.university.interfaces import ICoursesContainer
-from waeup.sirp.university import CoursesContainer, Course
+from waeup.kofa.university.interfaces import ICoursesContainer
+from waeup.kofa.university import CoursesContainer, Course
 
 class CoursesContainerTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 7811)
@@ -22,10 +22,10 @@
 from zope.component import queryUtility
 from zope.interface.verify import verifyObject, verifyClass
-from waeup.sirp.interfaces import ICSVExporter
-from waeup.sirp.testing import SIRPUnitTestLayer
-from waeup.sirp.university import (
+from waeup.kofa.interfaces import ICSVExporter
+from waeup.kofa.testing import KOFAUnitTestLayer
+from waeup.kofa.university import (
     FacultiesContainer, Faculty, Department, Course, Certificate,
     )
-from waeup.sirp.university.export import (
+from waeup.kofa.university.export import (
     FacultyExporter, DepartmentExporter, CourseExporter,
     CertificateExporter, CertificateCourseExporter,
@@ -34,5 +34,5 @@
 class FacultyExporterTest(unittest.TestCase):
 
-    layer = SIRPUnitTestLayer
+    layer = KOFAUnitTestLayer
 
     def setUp(self):
@@ -123,5 +123,5 @@
     # Tests for DepartmentExporter
 
-    layer = SIRPUnitTestLayer
+    layer = KOFAUnitTestLayer
 
     def setUp(self):
@@ -214,5 +214,5 @@
     # Tests for CourseExporter
 
-    layer = SIRPUnitTestLayer
+    layer = KOFAUnitTestLayer
 
     def setUp(self):
@@ -307,5 +307,5 @@
     # Tests for CertificateExporter
 
-    layer = SIRPUnitTestLayer
+    layer = KOFAUnitTestLayer
 
     def setUp(self):
@@ -412,5 +412,5 @@
     # Tests for CertificateCourseExporter
 
-    layer = SIRPUnitTestLayer
+    layer = KOFAUnitTestLayer
 
     def setUp(self):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_facultiescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_facultiescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_facultiescontainer.py	(revision 7811)
@@ -22,8 +22,8 @@
 from StringIO import StringIO
 from zope.interface.verify import verifyObject, verifyClass
-from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
-from waeup.sirp.university.interfaces import IFacultiesContainer
-from waeup.sirp.university import FacultiesContainer
-from waeup.sirp.university.facultiescontainer import AcademicsPlugin
+from waeup.kofa.testing import FunctionalTestCase, FunctionalLayer
+from waeup.kofa.university.interfaces import IFacultiesContainer
+from waeup.kofa.university import FacultiesContainer
+from waeup.kofa.university.facultiescontainer import AcademicsPlugin
 
 class FakeLogger(object):
@@ -90,5 +90,5 @@
         self.assertEqual(
             self._logger_factory.get_messages(),
-            'Could not create container for faculties in SIRP.\n'
+            'Could not create container for faculties in KOFA.\n'
             )
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_faculty.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_faculty.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_faculty.py	(revision 7811)
@@ -22,6 +22,6 @@
 import unittest
 from zope.interface.verify import verifyObject, verifyClass
-from waeup.sirp.university import Faculty, Department
-from waeup.sirp.university.interfaces import IFaculty, IDepartment
+from waeup.kofa.university import Faculty, Department
+from waeup.kofa.university.interfaces import IFaculty, IDepartment
 
 class FacultyAndDepartmentTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_university.py	(revision 7811)
@@ -19,6 +19,6 @@
 # Test the public API part of the university subpackage
 import unittest
-from waeup.sirp.university import *
-from waeup.sirp.testing import get_doctest_suite
+from waeup.kofa.university import *
+from waeup.kofa.testing import get_doctest_suite
 
 class UniversitySubpackageTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 7811)
@@ -22,8 +22,8 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import getUtility
-from waeup.sirp.interfaces import SimpleSIRPVocabulary, ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import SimpleKOFAVocabulary, IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
 
-course_levels = SimpleSIRPVocabulary(
+course_levels = SimpleKOFAVocabulary(
     (_('Pre-Studies'),10),
     (_('100 (Year 1)'),100),
@@ -41,5 +41,5 @@
     """
     def getValues(self, context):
-        semesters_dict = getUtility(ISIRPUtils).getSemesterDict()
+        semesters_dict = getUtility(IKOFAUtils).getSemesterDict()
         return semesters_dict.keys()
 
@@ -48,5 +48,5 @@
 
     def getTitle(self, context, value):
-        semesters_dict = getUtility(ISIRPUtils).getSemesterDict()
+        semesters_dict = getUtility(IKOFAUtils).getSemesterDict()
         return semesters_dict[value]
 
@@ -56,5 +56,5 @@
     """
     def getValues(self, context):
-        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        insttypes_dict = getUtility(IKOFAUtils).getInstTypeDict()
         return sorted(insttypes_dict.keys())
 
@@ -63,5 +63,5 @@
 
     def getTitle(self, context, value):
-        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        insttypes_dict = getUtility(IKOFAUtils).getInstTypeDict()
         return insttypes_dict[value]
 
@@ -71,5 +71,5 @@
     """
     def getValues(self, context):
-        appcats_dict = getUtility(ISIRPUtils).getAppCatDict()
+        appcats_dict = getUtility(IKOFAUtils).getAppCatDict()
         return sorted(appcats_dict.keys())
 
@@ -78,5 +78,5 @@
 
     def getTitle(self, context, value):
-        appcats_dict = getUtility(ISIRPUtils).getAppCatDict()
+        appcats_dict = getUtility(IKOFAUtils).getAppCatDict()
         return appcats_dict[value]
 
@@ -86,5 +86,5 @@
     """
     def getValues(self, context):
-        studymodes_dict = getUtility(ISIRPUtils).getStudyModesDict()
+        studymodes_dict = getUtility(IKOFAUtils).getStudyModesDict()
         return sorted(studymodes_dict.keys())
 
@@ -93,5 +93,5 @@
 
     def getTitle(self, context, value):
-        studymodes_dict = getUtility(ISIRPUtils).getStudyModesDict()
+        studymodes_dict = getUtility(IKOFAUtils).getStudyModesDict()
         return studymodes_dict[value]
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 7811)
@@ -16,11 +16,11 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Users container for the SIRP portal.
+"""Users container for the KOFA portal.
 """
 import grok
 from zope.event import notify
-from waeup.sirp.authentication import Account
-from waeup.sirp.interfaces import IUsersContainer
-from waeup.sirp.utils.logger import Logger
+from waeup.kofa.authentication import Account
+from waeup.kofa.interfaces import IUsersContainer
+from waeup.kofa.utils.logger import Logger
 
 class UsersContainer(grok.Container, Logger):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/batching.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""SIRP components for batch processing.
+"""KOFA components for batch processing.
 
 Batch processors eat CSV files to add, update or remove large numbers
@@ -31,5 +31,5 @@
 from zope.interface import Interface
 from zope.schema import getFields
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IBatchProcessor, FatalCSVError, DuplicationError, IObjectConverter)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/converters.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/converters.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/converters.py	(revision 7811)
@@ -27,5 +27,5 @@
 from zope.interface import Interface
 from zope.publisher.browser import TestRequest
-from waeup.sirp.interfaces import IObjectConverter
+from waeup.kofa.interfaces import IObjectConverter
 
 class ExtendedCheckBoxWidget(CheckBoxWidget):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper functions for SIRP.
+"""General helper functions for KOFA.
 """
 import os
@@ -151,5 +151,5 @@
     instances of certain classes when called.
 
-    In :mod:`waeup.sirp` we use factories extensively for
+    In :mod:`waeup.kofa` we use factories extensively for
     batching. While processing a batch some importer looks up a
     factory to create real-world instances that then get filled with
@@ -163,5 +163,5 @@
 
        >>> import grok
-       >>> from waeup.sirp.utils.helpers import FactoryBase
+       >>> from waeup.kofa.utils.helpers import FactoryBase
        >>> class MyObject(object):
        ...   # Some class we want to get instances of.
@@ -169,5 +169,5 @@
        >>> class MyObjectFactory(FactoryBase):
        ...   # This is the factory for MyObject instances
-       ...   grok.name(u'waeup.sirp.factory.MyObject')
+       ...   grok.name(u'waeup.kofa.factory.MyObject')
        ...   factory = MyObject
 
@@ -176,5 +176,5 @@
     called. The given name must even be unique amongst all utilities
     registered during runtime. While you can pick any name you like
-    you might want to prepend ``waeup.sirp.factory.`` to the name
+    you might want to prepend ``waeup.kofa.factory.`` to the name
     string to make sure it does not clash with names of other
     utilities one day.
@@ -183,8 +183,8 @@
     freshly defined factory. This executes all the component
     registration stuff we don't want to do ourselves. In daily use
-    this is done automatically on startup of a :mod:`waeup.sirp`
+    this is done automatically on startup of a :mod:`waeup.kofa`
     system.
 
-       >>> grok.testing.grok('waeup.sirp.utils.helpers')
+       >>> grok.testing.grok('waeup.kofa.utils.helpers')
        >>> grok.testing.grok_component(
        ...    'MyObjectFactory', MyObjectFactory
@@ -197,5 +197,5 @@
 
        >>> from zope.component import createObject
-       >>> obj = createObject('waeup.sirp.factory.MyObject')
+       >>> obj = createObject('waeup.kofa.factory.MyObject')
        >>> isinstance(obj, MyObject)
        True
@@ -207,5 +207,5 @@
        >>> from zope.component.interfaces import IFactory
        >>> factory = getUtility(
-       ...   IFactory, name='waeup.sirp.factory.MyObject'
+       ...   IFactory, name='waeup.kofa.factory.MyObject'
        ...   )
        >>> isinstance(factory, MyObjectFactory)
@@ -251,5 +251,5 @@
     HTML code:
 
-        >>> from waeup.sirp.utils.helpers import ReST2HTML
+        >>> from waeup.kofa.utils.helpers import ReST2HTML
         >>> source = '''
         ... Headline
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/importexport.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/importexport.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/importexport.py	(revision 7811)
@@ -22,6 +22,6 @@
 from cStringIO import StringIO
 from zope.interface import Interface
-from waeup.sirp.interfaces import (ISIRPObject, ISIRPExporter,
-                                   ISIRPXMLExporter, ISIRPXMLImporter)
+from waeup.kofa.interfaces import (IKOFAObject, IKOFAExporter,
+                                   IKOFAXMLExporter, IKOFAXMLImporter)
 
 def readFile(f):
@@ -40,11 +40,11 @@
 
 class Exporter(grok.Adapter):
-    """Export a SIRP object as pickle.
+    """Export a KOFA object as pickle.
 
     This all-purpose exporter exports attributes defined in schemata
     and contained objects (if the exported thing is a container).
     """
-    grok.context(ISIRPObject)
-    grok.provides(ISIRPExporter)
+    grok.context(IKOFAObject)
+    grok.provides(IKOFAExporter)
 
     def __init__(self, context):
@@ -61,5 +61,5 @@
 
 class XMLExporter(grok.Adapter):
-    """Export a SIRP object as XML.
+    """Export a KOFA object as XML.
 
     This all-purpose exporter exports XML representations of pickable
@@ -67,9 +67,9 @@
     """
     grok.context(Interface)
-    grok.provides(ISIRPXMLExporter)
+    grok.provides(IKOFAXMLExporter)
 
     def __init__(self, context):
         self.context = context
-    
+
     def export(self, filepath=None):
         pickled_obj = cPickle.dumps(self.context)
@@ -84,12 +84,12 @@
 
 class XMLImporter(grok.Adapter):
-    """Import a SIRP object from XML.
+    """Import a KOFA object from XML.
     """
     grok.context(Interface)
-    grok.provides(ISIRPXMLImporter)
+    grok.provides(IKOFAXMLImporter)
 
     def __init__(self, context):
         self.context = context
-    
+
     def doImport(self, filepath):
         xml = None
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/logger.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/logger.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/logger.py	(revision 7811)
@@ -19,6 +19,6 @@
 Convenience stuff for logging.
 
-Main component of :mod:`waeup.sirp.utils.logging` is a mix-in class
-:class:`waeup.sirp.utils.logging.Logger`. Classes derived (also) from
+Main component of :mod:`waeup.kofa.utils.logging` is a mix-in class
+:class:`waeup.kofa.utils.logging.Logger`. Classes derived (also) from
 that mix-in provide a `logger` attribute that returns a regular Python
 logger logging to a rotating log file stored in the datacenter storage
@@ -30,5 +30,5 @@
 The `logger_name` tells under which name the logger should be
 registered Python-wise. This is usually a dotted name string like
-``waeup.sirp.${sitename}.mycomponent`` which should be unique. If you
+``waeup.kofa.${sitename}.mycomponent`` which should be unique. If you
 pick a name already used by another component, trouble is ahead. The
 ``${sitename}`` chunk of the name can be set literally like this. The
@@ -46,9 +46,9 @@
 your `logger_name` and `logger_filename` attribute and off you go::
 
-  from waeup.sirp.utils.logger import Logger
+  from waeup.kofa.utils.logger import Logger
 
   class MyComponent(object, Logger):
       # Yes that's a complete working class
-      logger_name = 'waeup.sirp.${sitename}.mycomponent
+      logger_name = 'waeup.kofa.${sitename}.mycomponent
       logger_filename = 'mycomponent.log'
 
@@ -67,5 +67,5 @@
 
 The datacenter and its storage are created automatically when you
-create a :class:`waeup.sirp.app.University`. This also means that
+create a :class:`waeup.kofa.app.University`. This also means that
 logging with the `Logger` mix-in will work only inside so-called sites
 (`University` instances put into ZODB are such `sites`).
@@ -80,7 +80,7 @@
 from zope.component import queryUtility
 from zope.interface import Interface, Attribute, implements
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IDataCenter, IDataCenterStorageMovedEvent, ILoggerCollector)
-from waeup.sirp.utils.helpers import get_current_principal
+from waeup.kofa.utils.helpers import get_current_principal
 
 #: Default logfile size (5 KB)
@@ -152,8 +152,8 @@
 
     #: The Python logger name used when
-    #: logging. ``'waeup.sirp.${sitename}'`` by default. You can use the
+    #: logging. ``'waeup.kofa.${sitename}'`` by default. You can use the
     #: ``${sitename}`` placeholder in that string, which will be
     #: replaced by the actual used site name.
-    logger_name = 'waeup.sirp.${sitename}'
+    logger_name = 'waeup.kofa.${sitename}'
     implements(ILogger)
 
@@ -378,5 +378,5 @@
     return
 
-from waeup.sirp.interfaces import IUniversity
+from waeup.kofa.interfaces import IUniversity
 @grok.subscribe(IUniversity, grok.IObjectRemovedEvent)
 def handle_site_removed(obj, event):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_batching.py	(revision 7811)
@@ -27,6 +27,6 @@
 from zope.component.interfaces import IFactory
 from zope.interface import Interface, implements
-from waeup.sirp.app import University
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.app import University
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
 
 optionflags = (
@@ -71,5 +71,5 @@
 stoneville = dict
 
-from waeup.sirp.utils.batching import BatchProcessor
+from waeup.kofa.utils.batching import BatchProcessor
 class CaveProcessor(BatchProcessor):
     util_name = 'caveprocessor'
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_converters.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_converters.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_converters.py	(revision 7811)
@@ -31,17 +31,17 @@
     Interface, implements, invariant, Invalid, implementedBy)
 
-from waeup.sirp.app import University
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.university import Faculty
-from waeup.sirp.utils.converters import IObjectConverter
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.interfaces import SimpleSIRPVocabulary
-
-colors = SimpleSIRPVocabulary(
+from waeup.kofa.app import University
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.university import Faculty
+from waeup.kofa.utils.converters import IObjectConverter
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.interfaces import SimpleKOFAVocabulary
+
+colors = SimpleKOFAVocabulary(
     ('Red', u'red'),
     ('Green', u'green'),
     ('Blue', u'blue'),
     )
-car_nums = SimpleSIRPVocabulary(
+car_nums = SimpleKOFAVocabulary(
     ('None', 0),
     ('One', 1),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_doctests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_doctests.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_doctests.py	(revision 7811)
@@ -18,5 +18,5 @@
 """Register doctests from utils subpackage.
 """
-from waeup.sirp.testing import get_doctest_suite
+from waeup.kofa.testing import get_doctest_suite
 
 def test_suite():
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_helpers.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_helpers.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_helpers.py	(revision 7811)
@@ -27,5 +27,5 @@
 from zope.security.testing import Principal, Participation
 from zope.security.management import newInteraction, endInteraction
-from waeup.sirp.utils import helpers
+from waeup.kofa.utils import helpers
 
 from zope.interface import Interface, implements
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_logger.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_logger.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_logger.py	(revision 7811)
@@ -17,5 +17,5 @@
 ##
 
-# Tests for waeup.sirp.utils.logger
+# Tests for waeup.kofa.utils.logger
 import logging
 import os
@@ -25,8 +25,8 @@
 from zope.component.hooks import setSite, clearSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.app import University
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-
-from waeup.sirp.utils.logger import (
+from waeup.kofa.app import University
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+
+from waeup.kofa.utils.logger import (
     Logger, MAX_BYTES, BACKUP_COUNT, ILoggerCollector, LoggerCollector,
     ILogger)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper utilities for SIRP.
+"""General helper utilities for KOFA.
 """
 import os
@@ -23,10 +23,10 @@
 from zope.i18n import translate
 from random import SystemRandom as r
-from waeup.sirp.interfaces import ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.smtp import send_mail as send_mail_internally
+from waeup.kofa.interfaces import IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.smtp import send_mail as send_mail_internally
 
 def send_mail(from_name,from_addr,rcpt_name,rcpt_addr,subject,body,config):
-    """Wrapper for the real SMTP functionality in :mod:`waeup.sirp.smtp`.
+    """Wrapper for the real SMTP functionality in :mod:`waeup.kofa.smtp`.
 
     Merely here to stay compatible with lots of calls to this place.
@@ -37,8 +37,8 @@
     return True
 
-class SIRPUtils(grok.GlobalUtility):
+class KOFAUtils(grok.GlobalUtility):
     """A collection of parameters and methods subject to customization.
     """
-    grok.implements(ISIRPUtils)
+    grok.implements(IKOFAUtils)
     # This the only place where we define the portal language
     # which is used for the translation of system messages
@@ -131,5 +131,5 @@
             'd':portal,
             'e':body})
-        body = translate(text, 'waeup.sirp',
+        body = translate(text, 'waeup.kofa',
             target_language=self.PORTAL_LANGUAGE)
         return send_mail(
@@ -161,5 +161,5 @@
         Returns True or False to indicate successful operation.
         """
-        subject = 'Your SIRP credentials'
+        subject = 'Your KOFA credentials'
         text = _(u"""Dear ${a},
 
@@ -193,5 +193,5 @@
             'f':login_url})
 
-        body = translate(text, 'waeup.sirp',
+        body = translate(text, 'waeup.kofa',
             target_language=self.PORTAL_LANGUAGE)
         return send_mail(
Index: /main/waeup.kofa/trunk/src/waeup/kofa/widgets/objectwidget.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/widgets/objectwidget.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/widgets/objectwidget.py	(revision 7811)
@@ -25,8 +25,8 @@
 from zope.schema import getFieldNamesInOrder
 
-class SIRPObjectWidgetView(ObjectWidgetView):
+class KOFAObjectWidgetView(ObjectWidgetView):
     template = ViewPageTemplateFile('objectwidget.pt')
 
-class SIRPObjectWidget(ObjectWidget):
+class KOFAObjectWidget(ObjectWidget):
 
     def __init__(self, context, request, factory, **kw):
@@ -58,8 +58,8 @@
 
     def _getView(self, request):
-        return SIRPObjectWidgetView(self, request)
+        return KOFAObjectWidgetView(self, request)
 
 
-class SIRPObjectDisplayWidget(SIRPObjectWidget):
+class KOFAObjectDisplayWidget(KOFAObjectWidget):
 
     implementsOnly(IDisplayWidget)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/widgets/phonewidget.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/widgets/phonewidget.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/widgets/phonewidget.py	(revision 7811)
@@ -31,5 +31,5 @@
 import re
 import copy
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import MessageFactory as _
 from zope import schema
 from zope.browserpage import ViewPageTemplateFile
